List Consignments
Get all consignments for an order.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
order_id
ID of the order.
store_hash
Permanent ID of the BigCommerce store.
Query parameters
include
consignments.line_items- include the response returned from the request to the/orders/{order_id}/productsendpoint in consignments.
Allowed values:
Response
OK
pickups
Pickup consignments.
shipping
Shipping consignments.
downloads
Digital consignments for products that are downloaded.
email
Email consignments for gift certificates.
Errors
404
Not Found Error